Name:           happy
Version:        1.18.5
Release:        %mkrel 1
License:        BSD-like
Group:          Development/Other
URL:            http://haskell.org/happy/
Source:         http://www.haskell.org/happy/dist/%{version}/happy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ghc
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  gmp-devel
#libxslt1
Summary:        The LALR(1) Parser Generator for Haskell

%description
Happy is a parser generator system for Haskell, similar to the tool
`yacc' for C. Like `yacc', it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program), or it can parse a
stream of characters directly (but this isn't practical in most
cases).


# the debuginfo subpackage is currently empty anyway, so don't generate it
%define debug_package %{nil}
%define __spec_install_post /usr/lib/rpm/brp-compress

%prep
%setup -q

%build

runhaskell Setup.lhs configure --prefix=%{_prefix}  --libdir=%{_libdir}
runhaskell Setup.lhs build
cd doc
test -f configure || autoreconf
./configure
make html

%install
rm -rf ${RPM_BUILD_ROOT}

runhaskell Setup.lhs copy --destdir=${RPM_BUILD_ROOT}

rm -fr %buildroot%_datadir/doc/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%defattr(-,root,root)
%doc ANNOUNCE
%doc CHANGES
%doc LICENSE
%doc README
%doc TODO
%doc doc/happy
%doc examples
%{_bindir}/happy
%{_datadir}/happy-%{version}


%changelog
* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.18.5-1mdv2011.0
+ Revision: 572239
- Update to 1.18.5

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1.18.4-1mdv2010.1
+ Revision: 503519
- New version 1.18.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.17-3mdv2009.0
+ Revision: 267072
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Thierry Vignaud <tv@mandriva.org> 1.17-2mdv2009.0
+ Revision: 217022
- remove authors from description

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.17-1mdv2009.0
+ Revision: 213909
- New version 1.17

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.16-1mdv2008.0
+ Revision: 71545
- 1.16

  + Pixel <pixel@mandriva.com>
    - Import happy



* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.15-3mdk
- Fix BuildRequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.15-2mdk
- BuildRequires fix
- Remove redundant buildrequires :
	- libxml2 is required by libxslt-proc

* Wed Jun 15 2005 Gaetan Lehmann <glehmann@deborah.mandrakesoft.com> 1.15-1mdk
- initial contrib

* Fri Jan 21 2005 Jens Petersen <petersen@haskell.org> - 1.15-2
- initial packaging based on spec file from tarball
- setup libdir for x86_64
